package com.njcn.pojo.advanced;

import java.util.Arrays;

public class EntityGroupData {
    private int idx[];
    private int all_evt_num;
    private int evt_in_num;
    private int evt_out_num;
    private int evt_res_num;

    private int Matrixcata[][];

    private EntityGroupEvtData in_buf[];
    private EntityGroupEvtData out_buf[];
    private EntityGroupEvtData res_buf[];
    private EntityGroupEvtData grp_buf[][];

	private int grp_num[];
	private int grp_all_num;
	private EntityGroupEvtData grp_cata_buf[][][];
	private int grp_cata_num[][];
	
	public EntityGroupData() {
		idx = new int[FinalData.MAX_EVT_NUM];
		Matrixcata = new int[FinalData.MAX_CATA_NUM][FinalData.MAX_EVT_NUM];
		in_buf = new EntityGroupEvtData[FinalData.MAX_EVT_NUM];
		out_buf = new EntityGroupEvtData[FinalData.MAX_EVT_NUM];
		res_buf = new EntityGroupEvtData[FinalData.MAX_EVT_NUM];
		grp_buf = new EntityGroupEvtData[FinalData.MAX_GROUP_NUM][FinalData.MAX_EVT_NUM];
		grp_num = new int[FinalData.MAX_GROUP_NUM];
		grp_cata_buf = new EntityGroupEvtData[FinalData.MAX_GROUP_NUM][FinalData.MAX_CATA_NUM
				+ 2][FinalData.MAX_EVT_NUM];
		grp_cata_num = new int[FinalData.MAX_GROUP_NUM][FinalData.MAX_CATA_NUM + 2];
	}

    public int[] getIdx() {
        return idx;
    }

    public void setIdx(int[] idx) {
        this.idx = idx;
    }

    public int getAll_evt_num() {
        return all_evt_num;
    }

    public void setAll_evt_num(int all_evt_num) {
        this.all_evt_num = all_evt_num;
    }

    public int getEvt_in_num() {
        return evt_in_num;
    }

    public void setEvt_in_num(int evt_in_num) {
        this.evt_in_num = evt_in_num;
    }

    public int getEvt_out_num() {
        return evt_out_num;
    }

    public void setEvt_out_num(int evt_out_num) {
        this.evt_out_num = evt_out_num;
    }

    public int getEvt_res_num() {
        return evt_res_num;
    }

    public void setEvt_res_num(int evt_res_num) {
        this.evt_res_num = evt_res_num;
    }

    public int[][] getMatrixcata() {
        return Matrixcata;
    }

    public void setMatrixcata(int[][] matrixcata) {
        Matrixcata = matrixcata;
    }

    public EntityGroupEvtData[] getIn_buf() {
        return in_buf;
    }

    public void setIn_buf(EntityGroupEvtData[] in_buf) {
        this.in_buf = in_buf;
    }

    public EntityGroupEvtData[] getOut_buf() {
        return out_buf;
    }

    public void setOut_buf(EntityGroupEvtData[] out_buf) {
        this.out_buf = out_buf;
    }

    public EntityGroupEvtData[] getRes_buf() {
        return res_buf;
    }

    public void setRes_buf(EntityGroupEvtData[] res_buf) {
        this.res_buf = res_buf;
    }

    public EntityGroupEvtData[][] getGrp_buf() {
        return grp_buf;
    }

    public void setGrp_buf(EntityGroupEvtData[][] grp_buf) {
        this.grp_buf = grp_buf;
    }

    public int[] getGrp_num() {
        return grp_num;
    }

    public void setGrp_num(int[] grp_num) {
        this.grp_num = grp_num;
    }

    public int getGrp_all_num() {
        return grp_all_num;
    }

    public void setGrp_all_num(int grp_all_num) {
        this.grp_all_num = grp_all_num;
    }

    public EntityGroupEvtData[][][] getGrp_cata_buf() {
        return grp_cata_buf;
    }

    public void setGrp_cata_buf(EntityGroupEvtData[][][] grp_cata_buf) {
        this.grp_cata_buf = grp_cata_buf;
    }

    public int[][] getGrp_cata_num() {
        return grp_cata_num;
    }

    public void setGrp_cata_num(int[][] grp_cata_num) {
        this.grp_cata_num = grp_cata_num;
    }

	@Override
	public String toString() {
		return "EntityGroupData{" + "idx=" + Arrays.toString(idx) + ", all_evt_num=" + all_evt_num + ", evt_in_num="
				+ evt_in_num + ", evt_out_num=" + evt_out_num + ", evt_res_num=" + evt_res_num + ", Matrixcata="
				+ Arrays.toString(Matrixcata) + ", in_buf=" + Arrays.toString(in_buf) + ", out_buf="
				+ Arrays.toString(out_buf) + ", res_buf=" + Arrays.toString(res_buf) + ", grp_buf="
				+ Arrays.toString(grp_buf) + ", grp_num=" + Arrays.toString(grp_num) + ", grp_all_num=" + grp_all_num
				+ ", grp_cata_buf=" + Arrays.toString(grp_cata_buf) + ", grp_cata_num=" + Arrays.toString(grp_cata_num)
				+ '}';
	}
}
